using APT.Infrastructure.EF.Map;
using APT.BaseData.Domain.Entities.FM;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using Microsoft.EntityFrameworkCore;

namespace APT.BaseData.Data.Mapping.FM
{
	public class FMAutoPrintRecordDetailMap : APTEntityBaseMap<T_FM_AUTO_PRINT_RECORD_DETAIL>
	{
		public override void Configure(EntityTypeBuilder<T_FM_AUTO_PRINT_RECORD_DETAIL> builder)
		{
			base.Configure(builder);
			builder.Property(t => t.PARAM_NAME).HasMaxLength(200);
			builder.Property(t => t.PARAM_VALUE).HasMaxLength(800);
			builder.HasOne(t => t.Nav_AutoPrintRecord).WithMany(t => t.Nav_Details)
				.HasForeignKey(t => t.AUTO_PRINT_RECORD_ID).OnDelete(DeleteBehavior.Restrict);
		}
	 
	}
}
